View Issue Details

IDProjectCategoryView StatusLast Update
0002620unrealinstallingpublic2010-08-16 04:30
ReporterpinstrateAssigned Toohnobinki 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOSunix-likeOS Versionall OSes
Product Version3.2.4 
Target VersionFixed in Version3.2.9-RC1 
Summary0002620: copying ircdcron/ircdchk to the destination dir with `make install`
DescriptionI think that it would be a good idea if the whole ircdcron or at least ircdcron/ircdchk file would be copied to the destination directory when make install'ing.
this would:
*ensure that the script will still check (if added to cron, of course) if ircd is alive even if something happens with source directory (eg. gets removed, overwritten and so on)
*save some manual copy'ing :)

Let's say I often like to dowload cvs version and install it.. here are the steps I do:

rm -rf /home/my/unreal-cvs-dir
wget the_latest_cvs
./Config and make
then rm -rf /home/my/irc.server.net dir
make install
*then* each time I have manually copy the ircdcron dir to my /home/my/irc.server.net directory..

It would be nice if Unreal would do it automatically :)
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

pinstrate

2005-08-15 07:06

reporter   ~0010334

Sorry, forgot to mention about copying my *.conf files back to the server's directory, but that is not a big issue I think.

syzop

2010-07-14 21:04

administrator   ~0016186

We should do this (copying on make install).

I did not really verify if this was already fixed, though... a quick grep suggests it isn't.

ohnobinki

2010-08-16 04:30

reporter   ~0016281

- Install ircdcron scripts. (0002620)
- Autogenerate ircdcron/ircd.cron based on ./configure settings.

Issue History

Date Modified Username Field Change
2005-08-15 07:05 pinstrate New Issue
2005-08-15 07:06 pinstrate Note Added: 0010334
2005-08-15 10:38 syzop Status new => confirmed
2010-07-14 21:03 syzop Relationship added child of 0003776
2010-07-14 21:04 syzop Note Added: 0016186
2010-08-15 06:53 ohnobinki Status confirmed => assigned
2010-08-15 06:53 ohnobinki Assigned To => ohnobinki
2010-08-16 04:30 ohnobinki QA => Not touched yet by developer
2010-08-16 04:30 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-08-16 04:30 ohnobinki Note Added: 0016281
2010-08-16 04:30 ohnobinki Status assigned => resolved
2010-08-16 04:30 ohnobinki Fixed in Version => 3.2.9-RC1
2010-08-16 04:30 ohnobinki Resolution open => fixed